View Issue Details

IDProjectCategoryView StatusLast Update
0001081WishesPanelpublic2010-03-25 14:14
ReporterToxa Assigned Tochupakabra  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformx86OSWindows 
Product Version2.0 
Fixed in Version2.0 
Summary0001081: Нет сортировки по полному имени файла
DescriptionСейчас Sort by Name (Ctrl-F3) сортирует по имени с отсечённым расширением. Например, файлы:
1
1.1
1.1.1
1.2
1.2.1
сортируются по именам (минус расширение):
1
1
1.1
1
1.2
В результате получается:
1
1.1
1.2
1.1.1
1.2.1
TagsNo tags attached.
Build1445

Activities

JohnDoe

2009-09-29 11:31

updater   bugnote:0004167

Это тянет на отдельный режим.
Впрочем на NTFS такого режима сортировки добиться легко - Ctrl-F7

Toxa

2009-09-29 11:39

reporter   bugnote:0004168

Last edited: 2009-09-29 11:40

View 2 revisions

Ctrl-F7 не катит, файлы выдаются в порядке их расположения на диске. Отдельный режим — это выход, учитывая, что кому-то нравится нынешняя сортировка. Хотя, ИМХО, сортировка по именам без расширений — это очень специфичный режим с сомнительной пользой. Ведь привычная сортировка (Explorer, cmd, Far 1.7) идёт по полному имени файла, включая расширение. Все к такой привыкли.

JohnDoe

2009-09-29 12:04

updater   bugnote:0004169

>сортировка по именам без расширений — это очень специфичный режим с сомнительной пользой

Это привычный и ожидаемый режим

>Ctrl-F7 не катит, файлы выдаются в порядке их расположения на диске

Отнюдь. Попробуйте на NTFS

Toxa

2009-09-29 12:19

reporter   bugnote:0004170

Last edited: 2009-09-29 15:15

View 2 revisions

Привычный? Если в винде и Фаре не такой режим, то кто и в какой программе к нему привыкает?

У меня NTFS. Попробовал, понял, что поспешил с комментарием. Оказывается, идёт сплошная сортировка по имени, вот только директории мешаются с файлами. Use sort groups не действует.

Toxa

2009-10-09 11:14

reporter   bugnote:0004231

Есть мнение, что сортировать можно в зависимости от того, выравниваются ли расширения по правому краю (например, LCtrl-1) или нет (например, LCtrl-2): если расширения вынесены вправо, тогда сортировать только по имени, а если имя написано слитно, тогда по всему имени.

Поскольку всем не угодишь, решения с отдельным режимом и с галкой также обсуждаются.

Обсуждение (моя запись и несколько последующих):
http://forum.farmanager.com/viewtopic.php?f=3&t=3774&start=60#p51925

chupakabra

2010-03-20 03:52

developer   bugnote:0005084

Добавил режим сортировки по полному имени файла в build 1445.
Для Temporary Panel сортирует по полному пути файла.

Toxa

2010-03-25 12:33

reporter   bugnote:0005098

На первый взгляд, то, что надо. Спасибо!

Issue History

Date Modified Username Field Change
2009-09-29 11:17 Toxa New Issue
2009-09-29 11:31 JohnDoe Note Added: 0004167
2009-09-29 11:39 Toxa Note Added: 0004168
2009-09-29 11:40 Toxa Note Edited: 0004168 View Revisions
2009-09-29 12:04 JohnDoe Note Added: 0004169
2009-09-29 12:19 Toxa Note Added: 0004170
2009-09-29 15:15 Toxa Note Edited: 0004170 View Revisions
2009-10-09 11:14 Toxa Note Added: 0004231
2010-02-15 17:00 alexy Project Far Manager => Wishes
2010-03-20 03:52 chupakabra Status new => assigned
2010-03-20 03:52 chupakabra Assigned To => chupakabra
2010-03-20 03:52 chupakabra Note Added: 0005084
2010-03-20 03:52 chupakabra Status assigned => feedback
2010-03-25 12:33 Toxa Note Added: 0005098
2010-03-25 12:33 Toxa Status feedback => assigned
2010-03-25 12:34 Toxa Status assigned => resolved
2010-03-25 14:14 chupakabra Build => 1445
2010-03-25 14:14 chupakabra Status resolved => closed
2010-03-25 14:14 chupakabra Resolution open => fixed
2010-03-25 14:14 chupakabra Fixed in Version => 2.0